Loading...
Searching...
No Matches
L4::Exception_tracer Class Reference
L4Re C++ Interface » C++ Exceptions

Back-trace support for exceptions. More...

`#include <l4/cxx/exceptions>`

Inheritance diagram for L4::Exception_tracer:
Collaboration diagram for L4::Exception_tracer:

## Public Member Functions

void const *const * | pc_array () const noexcept
| Get the array containing the call trace.
int | frame_count () const noexcept
| Get the number of entries that are valid in the call trace.

## Protected Member Functions

| Exception_tracer () noexcept
| Create a back trace.

## Detailed Description

Back-trace support for exceptions.

This class holds an array of at most L4_CXX_EXCEPTION_BACKTRACE instruction pointers containing the call trace at the instant when an exception was thrown.

Definition at line 51 of file exceptions.

The documentation for this class was generated from the following file:

- l4/cxx/exceptions